Health check
GET
/api/v1/health
const url = 'https://files.centralcodestation.com/api/v1/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://files.centralcodestation.com/api/v1/healthLiveness and the adapters in use. Also served at /health without the API prefix.
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
status
required
string
service
required
string
version
required
string
object_store
required
The object store adapter.
string
content_delivery
required
The content delivery adapter.
string
processing_queue
required
string
search_provider
required
string
time
required
string format: date-time
Example
{ "status": "ok", "service": "ccs-files", "object_store": "standard", "content_delivery": "standard", "processing_queue": "standard", "search_provider": "standard"}default
Section titled “default”Error: see error for the code.
Media typeapplication/json
object
status_code
required
number
error
required
Stable snake_case error code.
string
message
required
One of:
string
Array<string>
path
required
string
timestamp
required
string format: date-time
Example
{ "status_code": 403, "error": "invalid_request", "message": "This client is not bound to this tenant/application", "path": "/api/v1/tenants/t1/applications/a1/files/01J9Z6S9Q5F5R6Y2W2GZ3B3K4D"}